Examples

POST /katello/api/content_views/909058347/publish
{
  "major": 4,
  "minor": 1,
  "content_view": {}
}
202
{
  "id": null,
  "label": null,
  "pending": null,
  "username": null,
  "started_at": null,
  "ended_at": null,
  "state": null,
  "result": null,
  "progress": null,
  "input": null,
  "output": {},
  "humanized": null,
  "cli_example": null,
  "available_actions": {
    "cancellable": null,
    "resumable": null
  }
}

Params

Param name Description
id
required

Content view identifier

Validations:

  • Must be a number.

description
optional

Description for the new published content view version

Validations:

  • String

major
optional

Override the major version number

Validations:

  • Must be a number.

minor
optional

Override the minor version number

Validations:

  • Must be a number.

environment_ids
optional

Identifiers for Lifecycle Environment

Validations:

  • Must be an array of any type

publish_only_if_needed
optional

Check audited changes and proceed only if content or filters have changed since last publish

Validations:

  • Must be one of: true, false, 1, 0.

is_force_promote
optional

Force content view promotion and bypass lifecycle environment restriction

Validations:

  • Must be one of: true, false, 1, 0.

repos_units
optional

Specify the list of units in each repo

Validations:

  • Must be an Array of nested elements

repos_units[label]
required

repo label

Validations:

  • String

repos_units[rpm_filenames]
required

list of rpm filename strings to include in published version

Validations:

  • Must be an array of String